Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0031119
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2015-10-09 10:472015-11-23 21:17
ReportermalsasuaView Statuspublic 
Assigned Toaferraz 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisionb0d1b3ab201c
ProjectionnoneETAnoneTarget Version
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionCommunity ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0031119: warehouse rules should be adapted to type "Parameter"

DescriptionThe Standard warehouse rules:
M_UNIQUELOCATOR_RULE
M_UNIQUEATTRIBUTE_RULE
M_WAREHOUSE_DEFAULT_RULE

should be adapted to type "Parameter"

Now, you can not create a new rule with this procedures with type "PInstance" , only can be created with "Procedure", but this rules are not working with type "Parameter"
Steps To Reproduce. n/a
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0031120 closedfmolina Retail Modules autobom module is not working when there are warehouse rules with type PInstance 

-  Notes
(0081567)
hgbot (developer)
2015-11-06 13:57

Repository: erp/devel/pi
Changeset: b0d1b3ab201cf7ac41b4fa3f01d85cbd443aee9c
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Wed Nov 04 21:20:09 2015 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/b0d1b3ab201cf7ac41b4fa3f01d85cbd443aee9c [^]

Fixes issue 31119: Warehouse rules should be adapted to type "Parameter"

Create new warehouse rule procedures of type Parameter: M_UNIQUEATTRIBUTE_RULE_PARAM, M_UNIQUELOCATOR_RULE_PARAM, M_WAREHOUSE_DEFAULT_RULE_PARAM.
Deprecate old warehouse rule procedures of type PInstance: M_UNIQUEATTRIBUTE_RULE, M_UNIQUELOCATOR_RULE, M_WAREHOUSE_DEFAULT_RULE.
Update warehouse rules in F&B International Group and QA Testing clients to the new ones.

---
M referencedata/sampledata/F_B_International_Group/M_WAREHOUSE_RULE.xml
M referencedata/sampledata/QA_Testing/M_WAREHOUSE_RULE.xml
M src-db/database/model/functions/M_UNIQUEATTRIBUTE_RULE.xml
M src-db/database/model/functions/M_UNIQUELOCATOR_RULE.xml
M src-db/database/model/functions/M_WAREHOUSE_DEFAULT_RULE.xml
A src-db/database/model/functions/M_UNIQUEATTRIBUTE_RULE_PARAM.xml
A src-db/database/model/functions/M_UNIQUELOCATOR_RULE_PARAM.xml
A src-db/database/model/functions/M_WAREHOUSE_DEFAULT_RULE_PARAM.xml
---
(0081568)
hgbot (developer)
2015-11-06 13:57

Repository: erp/devel/pi
Changeset: 940048b0ab812ef86f4b202092e6d8c6bc4ddd2c
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Fri Nov 06 13:56:58 2015 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/940048b0ab812ef86f4b202092e6d8c6bc4ddd2c [^]

Related to Issue 31119: Changes done in the Code Review.

Modified call to execute Warehouse Rule in M_Get_Stock_Param
in order to properly retrieve the OUT Parameters.
Previously it was throwing an exception always.

---
M src-db/database/model/functions/M_GET_STOCK_PARAM.xml
---
(0081569)
dmiguelez (developer)
2015-11-06 13:58

Code Review + Testing Ok
(0082186)
hudsonbot (developer)
2015-11-23 21:17

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/7b56bebaaa88 [^]
Maturity status: Test
(0082187)
hudsonbot (developer)
2015-11-23 21:17

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/7b56bebaaa88 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-10-09 10:47 malsasua New Issue
2015-10-09 10:47 malsasua Assigned To => Triage Finance
2015-10-09 10:47 malsasua Modules => Core
2015-10-09 10:47 malsasua Triggers an Emergency Pack => No
2015-10-14 14:05 Orekaria Relationship added related to 0031120
2015-10-15 10:59 ngarcia Issue Monitored: ngarcia
2015-11-04 09:44 aferraz Assigned To Triage Finance => aferraz
2015-11-04 10:16 aferraz Status new => scheduled
2015-11-06 13:57 hgbot Checkin
2015-11-06 13:57 hgbot Note Added: 0081567
2015-11-06 13:57 hgbot Status scheduled => resolved
2015-11-06 13:57 hgbot Resolution open => fixed
2015-11-06 13:57 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/b0d1b3ab201cf7ac41b4fa3f01d85cbd443aee9c [^]
2015-11-06 13:57 hgbot Checkin
2015-11-06 13:57 hgbot Note Added: 0081568
2015-11-06 13:58 dmiguelez Review Assigned To => dmiguelez
2015-11-06 13:58 dmiguelez Note Added: 0081569
2015-11-06 13:58 dmiguelez Status resolved => closed
2015-11-23 21:17 hudsonbot Checkin
2015-11-23 21:17 hudsonbot Note Added: 0082186
2015-11-23 21:17 hudsonbot Checkin
2015-11-23 21:17 hudsonbot Note Added: 0082187


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker